Name:           wolfssl
Version:        5.6.3
Release:        %autorelease
Summary:        A small, fast, portable implementation of TLS/SSL
License:        GPL-2.0-only
URL:            https://github.com/wolfSSL/wolfssl
Source0:        https://github.com/wolfSSL/wolfssl/archive/v%{version}-stable/%{name}-%{version}.tar.gz
# https://github.com/wolfSSL/wolfssl/pull/6645
# fix the install destination of the library; enable tests with CTest; fix pkgconfig file
Patch0:         https://github.com/wolfSSL/wolfssl/pull/6645.patch

BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  ninja-build

%description
The wolfSSL embedded SSL library (formerly CyaSSL) is a lightweight SSL/TLS
library written in ANSI C and targeted for embedded, RTOS, and
resource-constrained environments - primarily because of its small size, speed,
and feature set. It is commonly used in standard operating environments as well
because of its royalty-free pricing and excellent cross platform support.
wolfSSL supports industry standards up to the current TLS 1.3 and DTLS 1.2, is
up to 20 times smaller than OpenSSL, and offers progressive ciphers such as
ChaCha20, Curve25519, Blake2b and Post-Quantum TLS 1.3 groups. User benchmarking
and feedback reports dramatically better performance when using wolfSSL over
OpenSSL.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup -p1 -n %{name}-%{version}-stable

%build
CFLAGS="$CFLAGS -Wno-maybe-uninitialized"
%cmake \
    -GNinja \
    -DCMAKE_BUILD_TYPE=Release \
    -DWOLFSSL_CRYPT_TESTS=ON \
    -DWOLFSSL_CRYPT_TESTS_LIBS=ON \

%cmake_build

%install
%cmake_install

%check
%ctest

%files
%license LICENSING
%doc README.md
%{_libdir}/libwolfssl.so.35*

%files devel
%{_includedir}/cyassl/
%{_includedir}/wolfssl/
%dir %{_libdir}/cmake/wolfssl
%{_libdir}/cmake/wolfssl/*.cmake
%{_libdir}/pkgconfig/wolfssl.pc
%{_libdir}/libwolfssl.so
%{_docdir}/wolfssl/

%changelog
%autochangelog
